# src/m_ms.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <malloc.h>`
`#include <string.h>`
`#include <inttypes.h>`
`#include <stdint.h>`
`#include "m_token.h"`
`#include "m_ms.h"`

## Functions

uMToken * | libmangle_decode_ms_name (libmangle_gc_context_t *gc, const char *name)
char * | libmangle_encode_ms_name (libmangle_gc_context_t *gc, uMToken *tok)

## Function Documentation

uMToken* libmangle_decode_ms_name | ( | libmangle_gc_context_t * | gc,
|  | const char * | name |
| ) |  |  |

Decodes an MSVC export name.

Parameters:

  `[in]` | gc | libmangle_gc_context_t pointer for collecting memory allocations.
  `[in]` | name | MSVC C++ mangled export string.

See also:
  libmangle_sprint_decl()
  libmangle_release_gc()
  libmangle_tokens_t

Returns:
  Token containing information about the mangled string, use libmangle_release_gc() to free after use.

char* libmangle_encode_ms_name | ( | libmangle_gc_context_t * | gc,
|  | uMToken * | tok |
| ) |  |  |